function retval = startsWith(s, prefix)
% Check if a string starts with a given prefix
% This function is needed in Octave but it is already implemented in Matlab
% Returns 1 if s starts with prefix, 0 else
% Obtained from https://techoverflow.net/2018/11/29/string-startswith-function-in-octave/
  n = length(prefix);
  if n == 0 % Empty prefix
    retval = 1; % Every string starts with empty prefix
    return
  end
  retval = strncmp(s, prefix, n);
end