function UPDATE=updateGenerator(gasfile,freecluster,formatBSSE,integers)
% INPUT: check input example for explanation
% AUTHOR: JAIME GARRIDO ALDEA AND MARA PILAR DE LARA CASTELLS
if integers(1)==0
    fprintf('Error: do not include 0 in the input since this case does not need any correction to be included \n')
    return
end
gasfileQZ=strcat(gasfile,'_QZ.out');
freeclusterQZ=strcat(freecluster,'_QZ.out');
gasfile=strcat(gasfile,'.out');
freecluster=strcat(freecluster,'.out');
UPDATE=zeros(length(integers)+1,3);
for i=1:length(integers)   
    cluster=strcat(int2str(integers(i)),'.out');
    clusterQZ=strcat(int2str(integers(i)),'_QZ.out');
    formato=strcat(formatBSSE,int2str(integers(i)));
    [Eads,bsseCorrection]=ORCA_UPDATE(gasfile,freecluster,... 
        cluster,gasfileQZ,freeclusterQZ,clusterQZ,formato,integers(i)); 
    UPDATE(i+1,1)=integers(i);
    UPDATE(i+1,2)=Eads;
    UPDATE(i+1,3)=bsseCorrection;
end
dlmwrite('update.txt',UPDATE);
fprintf('The update.txt file has been created \n');